%%%%%%%%%%%%%%%%%%%%%
%                   %
% OPERADORES JORDAN %
%                   %
%%%%%%%%%%%%%%%%%%%%%

op(
id(45),
name(relatar-complexo),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([not(list(Ent)),not(know(r,Ent)),multisa(Back,Front,backsem),in(Back,[sit,aspectofsit]),in(Ent,Back),selecionar(Front,NFront,Front1,X:(in(X,[action]))),not(sp(NFront,Ent)),sup(Ent,NFront)]),
n(relatar(Ent)),
s(competent(r,comprehend(r,background(nucl(relatar(Ent)),satel(?NFront)))))
).

op(
id(46),
name(relatar-descrevendo),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([not(list(Ent)),isa(Ent,Ent1,proof),sp(Ent1,Ent),dom(Ent,Ent1),sup(Ent1,Ent)]),
n(descrever(Ent)),
s(bel(r,evidence(nucl(descrever(Ent)),satel(?Ent1))))
).

op(
id(47),
name(acreditar-por-evidence),
header(bel(r,evidence(Ent,Ent1))),
effect(bel(r,evidence(Ent,Ent1))),
constraints([not(list(Ent)),not(list(Ent1)),not(bel(r,evidence(Ent,Ent1))),definBC(Ent,Clas),in(Clas,[sit]),definBC(Ent1,Clas1),in(Clas1,[aspectofsit]),isa(Ent,Ent1,proof),sp(Ent1,Ent),dom(Ent,Ent1),sup(Ent1,Ent)]),
n([descrever(Ent1),cohererel(evidence(nucl(?Ent),satel(descrever(Ent1))))]),
s(nil)
).

op(
id(48),
name(habilitar-lista),
header(competent(r,comprehend(r,background(Ent,Front)))),
effect(competent(r,comprehend(r,background(Ent,Front)))),
constraints([not(list(Ent)),list(Front),know(r,Ent),not(know(r,Front)),not(sp(Front,Ent)),sup(Ent,Front)]),
n([relatar(Front),cohererel(background(nucl(?Ent),satel(relatar(Front))))]),
s(nil)
).

op(
id(49),
name(relatar-lista),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([list(Ent),selecionar(Ent,NEnt,Ent1,X:(in(X,[probl]))),multisa(Ent1,Lista,enable),in(NEnt,Lista),sp(Ent1,NEnt),dom(NEnt,Ent1)]),
n(descrever(Ent1)),
s(know(r,means(nucl(descrever(Ent1)),satel(?NEnt))))
).

op(
id(50),
name(identificar-lista),
header(know(r,means(Act,Precond))),
effect(know(r,means(Act,Precond))),
constraints([not(list(Act)),list(Precond),not(know(r,means(Act,Precond))),definBC(Act,Clas1),in(Clas1,[probl]),definBC(Precond,Clas2),in(Clas2,[sol,met]),multisa(Act,Ent,enable),in(Precond,Ent),sp(Act,Precond),dom(Precond,Act)]),
n([relatar(Precond),cohererel(means(nucl(Act),satel(relatar(Precond))))]),
s(nil)
).

op(
id(51),
name(relatar-lista),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([list(Ent),not(know(r,Ent)),selecionar(Ent,NEnt,Ent1,X:(definBC(X,C),in(C,[met]))),sp(NEnt,Ent1),dom(Ent1,NEnt)]),
n(descrever(NEnt)),
s(know(r,means(nucl(descrever(NEnt)),satel(?Ent1))))
).

op(
id(52),
name(identificar-lista),
header(know(r,means(Act,Precond))),
effect(know(r,means(Act,Precond))),
constraints([not(list(Act)),not(list(Precond)),not(know(r,means(Act,Precond))),definBC(Act,Clas1),in(Clas1,[sol]),definBC(Precond,Clas2),in(Clas2,[met]),isa(Act,Precond,enable),sp(Act,Precond),dom(Precond,Act)]),
n([descrever(Precond),cohererel(means(nucl(?Act),satel(descrever(Precond))))]),
s(nil)
).

%%%%%%%%%%%%%
%           %
% DESCREVER %
%           %
%%%%%%%%%%%%%

op(
id(1),
name(descrever-relatando),
header(descrever(Ent)),
effect(know_about(r,Ent)),
constraints([not(list(Ent)),not(know_about(r,Ent)),definBC(Ent,Clas),in(Clas,[res,sol]),multisa(Back,Results,cause),in(Ent,Results),not(sp(Ent,Back)),sup(Back,Ent)]),
n(relatar(Ent)),
s(optional(competent(r,comprehend(r,background(nucl(relatar(Ent)),satel(?Back))))))
).

op(
id(2),
name(descrever-relatando),
header(descrever(Ent)),
effect(know_about(r,Ent)),
constraints([not(list(Ent)),not(know_about(r,Ent)),definBC(Ent,Clas),in(Clas,[res,sol])]),
n(relatar(Ent)),
s(nil)
).

op(
id(3),
name(descrever-conceito),
header(descrever(Conceito)),
effect(know_about(r,Conceito)),
constraints([not(list(Conceito)),isa(Eval,Conceito,evalsem),dom(Conceito,Eval)]),
n(descrever(Conceito)),
s(optional(know(r,evaluate(nucl(descrever(Conceito)),satel(?Eval)))))
).

op(
id(4),
name(descrever-informando),
header(descrever(Conceito)),
effect(know_about(r,Conceito)),
constraints([not(list(Conceito))]),
n(inform(r,Conceito)),
s(nil)
).

op(
id(5),
name(descrever-complexo),
header(descrever(Ent)),
effect(know_about(r,Ent)),
constraints([not(list(Ent)),not(know_about(r,Ent)),definBC(Ent,Clas),in(Clas,[probl]),isa(Ent1,Ent,enable),definBC(Ent1,Clas1),in(Clas1,[res,sol]),sp(Ent,Ent1)]),
n(descrever(Ent)),
s(know(r,means(nucl(descrever(Ent)),satel(?Ent1))))
).

op(
id(6),
name(descrever-lista),
header(descrever(Ent)),
effect(know-about(r,Ent)),
constraints([list(Ent),not(know-about(r,Ent)),selecionar(Ent,NEnt,Problema,X:(in(X,[probl]))),definBC(NEnt,sol),sp(Problema,NEnt),dom(NEnt,Problema)]),
n(descrever(Problema)),
s(optional(bel(r,means(nucl(descrever(Problema)),satel(?NEnt)))))
).

%%%%%%%%%%%
%         %
% RELATAR %
%         %
%%%%%%%%%%%

op(
id(7),
name(relatar-descrevendo),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([not(list(Ent)),not(know(r,Ent)),multisa(Ent,Ent1,listsem),selecionar(Ent1,NEnt1,Ent2,X:(exist(X),definPAI2(X,enable))),sup(Ent2,Ent)]),
n(descrever(Ent)),
s(optional(bel(r,elaborate(nucl(descrever(Ent)),satel(?Ent2)))))
).

op(
id(8),
name(relatar-descrevendo),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([not(list(Ent)),isa(Ent,Ent1,enable),definBC(Ent1,Clas),in(Clas,[probl]),dom(Ent,Ent1),sp(Ent1,Ent)]),
n(descrever(Ent)),
s(know(r,purpose1(nucl(descrever(Ent)),satel(?Ent1))))
).

op(
id(9),
name(relatar-informando),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([not(list(Ent))]),
n(inform(r,Ent)),
s(nil)
).

op(
id(10),
name(relatar-discutindo),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([not(list(Ent)),not(know(r,Ent))]),
n(discutir(Ent)),
s(nil)
).

op(
id(11),
name(relatar-por-purpose),
header(relatar(Evento)),
effect(know(r,Evento)),
constraints([not(list(Evento)),definBC(Evento,C1),in(C1,[met]),isa(Purp,Evento,enable),sp(Evento,Purp),dom(Purp,Evento)]),
n(relatar(Evento)),
s(optional(bel(r,purpose1(nucl(relatar(Evento)),satel(?Purp)))))
).

op(
id(12),
name(relatar-complexo),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([not(list(Ent)),not(know(r,Ent)),multisa(Back,Front,backsem),definBC(Back,Clas),in(Clas,[sit]),not(sp(Front,Back)),sup(Back,Front)]),
n(relatar(Ent)),
s(competent(r,comprehend(r,background(nucl(Front),satel(Back)))))
).

op(
id(13),
name(relatar-complexo),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([not(list(Ent)),definBC(Ent,Clas),in(Clas,[sol,res]),multisa(Ent,Ent1,evalsem),in(Ent1,[sol,evalsol]),dom(Ent,Ent1)]),
n(relatar(Ent)),
s(know_about(r,evaluate(nucl(relatar(Ent)),satel(?Ent1))))
).

op(
id(14),
name(relatar-lista),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([list(Ent),not(know(r,Ent)),selecionar(Ent,NEnt,Ent1,X:(definBC(X,C),in(C,[sol])))]),
n(descrever(NEnt)),
s(know(r,means(nucl(descrever(NEnt)),satel(?Ent1))))
).

op(
id(15),
name(relatar-lista),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([list(Ent),not(know(r,Ent)),definBC(Ent,Clas),in(Clas,[met,evalres,prop,res]),multisa(Back,Results,cause),in(Ent,Results),not(sp(Ent,Back)),sup(Back,Ent)]),
n(discutir(Ent)),
s(optional(competent(r,comprehend(r,background(nucl(discutir(Ent)),satel(?Back))))))
).

op(
id(16),
name(relatar-lista),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([list(Ent),selecionar(Ent,NEnt,Ent1,X:(in(X,[evalres]))),isa(NEnt,Ent1,evalsem),dom(NEnt,Ent1)]),
n(relatar(NEnt)),
s(know(r,evaluate(nucl(relatar(NEnt)),satel(?Ent1))))
).

op(
id(17),
name(relatar-lista-iguais),
header(relatar(Ent)),
effect(know(r,Ent)),
constraints([list(Ent),in(Ent,[sol]),atribuir(Ent,[Cab|Cauda])]),
n(relatar(Cab)),
s(nil)
).

%%%%%%%%%%%%
%          %
% DISCUTIR %
%          %
%%%%%%%%%%%%

op(
id(18),
name(discutir-relatando),
header(discutir(Eval)),
effect(bel(r,Eval)),
constraints([not(list(Eval)),isa(Result,Eval,cause),sp(Eval,Result),dom(Result,Eval),gen(Eval,Result)]),
n(relatar(Eval)),
s(optional(know_about(r,nonvolres(nucl(discutir(Eval)),satel(?Result)))))
).

op(
id(19),
name(discutir-complexo),
header(discutir(Ent)),
effect(bel(r,contrast(Ent,Contrast))),
constraints([not(list(Ent)),isa(Contrast,Ent,listsem),symm(Ent,Contrast)]),
n(discutir(Ent)),
s(bel(r,contrast(nucl(discutir(Ent)),satel(?Contrast))))
).

op(
id(20),
name(discutir-relatando),
header(discutir(Ent)),
effect(bel(r,Ent)),
constraints([not(list(Ent)),not(bel(r,Ent)),isa(Eval,Ent,evalsem),dom(Ent,Eval)]),
n(relatar(Ent)),
s(optional(bel(r,evaluate(nucl(relatar(Ent)),satel(?Eval)))))
).

op(
id(21),
name(discutir-relatando),
header(discutir(Ent)),
effect(bel(r,Ent)),
constraints([not(list(Ent)),not(bel(r,Ent)),multisa(Enable,Results,cause),atribuir(Results,Ent1),selecionar(Ent1,NEnt1,Ent2,X:(exist(X),not(definBC(X,newprobl)))),in(Ent2,[met,evalres,prop,res]),sp(Ent2,Ent),dom(Ent,Ent2),sup(Ent2,Ent)]),
n(relatar(Ent)),
s(persuade(r,justify2(nucl(relatar(Ent)),satel(?Ent2))))
).

op(
id(22),
name(discutir-lista),
header(discutir(Ent)),
effect(bel(r,Ent)),
constraints([list(Ent),not(bel(r,Ent)),selecionar(Ent,NEnt,Ent1,X:(in(X,[met,evalres]),not(definPAI2(X,detail)))),symm(NEnt,Ent1)]),
n(relatar(Ent1)),
s(optional(bel(r,contrast(nucl(relatar(Ent1)),satel(?NEnt)))))
).

op(
id(23),
name(discutir-lista),
header(discutir(Ent)),
effect(bel(r,Ent)),
constraints([list(Ent),selecionar(Ent,NEnt,Ent1,X:(in(X,[prop]))),sup(NEnt,Ent1)]),
n(descrever(Ent1)),
s(optional(know(r,elaborate(nucl(descrever(Ent1)),satel(?NEnt)))))
).

op(
id(24),
name(discutir-descrevendo),
header(discutir(Ent)),
effect(bel(r,Ent)),
constraints([not(list(Ent))]),
n(descrever(Ent)),
s(nil)
).

op(
id(25),
name(discutir-informando),
header(discutir(Eval)),
effect(bel(r,Eval)),
constraints([not(list(Eval))]),
n(inform(r,Eval)),
s(nil)
).

%%%%%%%%%%%%%%%
%             %
% IDENTIFICAR %
%             %
%%%%%%%%%%%%%%%

op(
id(26),
name(identificar-relacao),
header(know(r,evaluate(Ent,Eval))),
effect(know(r,evaluate(Ent,Eval))),
constraints([not(list(Ent)),not(list(Eval)),know(r,Ent),not(know(r,Eval)),not(know(r,evaluate(Ent,Eval))),definBC(Ent,Clas1),in(Clas1,[res,sol]),definBC(Eval,Clas2),in(Clas2,[evalres,evalSol]),isa(Eval,Ent,evalsem),dom(Ent,Eval)]),
n([discutir(Eval),cohererel(evaluate(nucl(Ent),satel(discutir(Eval))))]),
s(nil)
).

op(
id(27),
name(identificar-relacao),
header(know(r,means(Act,Precond))),
effect(know(r,means(Act,Precond))),
constraints([not(list(Act)),not(list(Precond)),not(know(r,means(Act,Precond))),definBC(Act,Clas1),in(Clas1,[probl]),definBC(Precond,Clas2),in(Clas2,[res,sol]),isa(Act,Precond,enable),sp(Act,Precond),dom(Precond,Act)]),
n([relatar(Precond),cohererel(means(nucl(Act),satel(relatar(Precond))))]),
s(nil)
).

op(
id(28),
name(identificar-relacao),
header(know(r,evaluate(Ent,Eval))),
effect(know(r,evaluate(Ent,Eval))),
constraints([not(list(Ent)),not(list(Eval)),know(r,Ent),not(know(r,Eval)),not(know(r,evaluate(Ent,Eval))),definBC(Ent,Clas1),in(Clas1,[met,res,sol]),definBC(Eval,Clas2),in(Clas2,[evalmet,evalres,evalsol]),isa(Eval,Ent,evalsem),dom(Ent,Eval)]),
n([relatar(Eval),cohererel(evaluate(nucl(Ent),satel(relatar(Eval))))]),
s(nil)
).

op(
id(29),
name(identificar-relacao),
header(know(r,purpose1(Ent,Ent1))),
effect(know(r,purpose1(Ent,Ent1))),
constraints([not(list(Ent)),not(list(Ent1)),know(r,Ent),not(know(r,Ent1)),not(know(r,purpose1(Ent,Ent1))),definBC(Ent,Clas),in(Clas,[res,sol]),definBC(Ent1,Clas1),in(Clas1,[probl]),isa(Ent,Ent1,enable),dom(Ent,Ent1),sp(Ent1,Ent)]),
n([descrever(Ent1),cohererel(purpose1(nucl(Ent),satel(descrever(Ent1))))]),
s(nil)
).

op(
id(30),
name(identificar-lista),
header(know(r,elaborate(Ent1,Ent2))),
effect(know(r,elaborate(Ent1,Ent2))),
constraints([not(list(Ent1)),list(Ent2),not(know(r,elaborate(Ent1,Ent2))),sup(Ent2,Ent1),atribuir(Ent2,Aux),selecionar(Aux,NAux,Ent3,X:(in(X,[evalres]))),dom(NAux,Ent3)]),
n([discutir(NAux),cohererel(elaborate(nucl(Ent1),satel(?Ent2)))]),
s(persuade(r,evaluate(nucl(NAux),satel(?Ent3))))
).

%%%%%%%%%%%%
%          %
% CONHECER %
%          %
%%%%%%%%%%%%

op(
id(31),
name(conhecer-relacao),
header(know_about(r,nonvolres(Event,Result))),
effect(know_about(r,nonvolres(Event,Result))),
constraints([not(list(Event)),not(list(Result)),know(r,Event),not(know_about(r,Result)),not(know_about(r,nonvolres(Event,Result))),definBC(Event,C1),in(C1,[evalres]),definBC(Result,C2),in(C2,[newprobl]),isa(Result,Event,cause),sp(Event,Result),dom(Result,Event),gen(Event,Result)]),
n([relatar(Result),cohererel(nonvolres(nucl(Event),satel(relatar(Result))))]),
s(nil)
).

op(
id(32),
name(conhecer-lista),
header(know_about(r,evaluate(Ent,Ent1))),
effect(know_about(r,evaluate(Ent,Ent1))),
constraints([not(list(Ent)),list(Ent1),know(r,Ent),not(know_about(r,evaluate(Ent,Ent1))),definBC(Ent,Clas),in(Clas,[sol,res]),in(Ent1,[evalsol,sol]),multisa(E1,E2,evalsem),in(Ent,[E1]),in(Ent1,E2),dom(Ent,Ent1),atribuir(Ent1,Ent2),selecionar(Ent2,NEnt2,Ent3,X:(in(X,[evalsol]))),sp(NEnt2,Ent3),dom(Ent3,NEnt2),sup(NEnt2,Ent3)]),
n([relatar(Ent3),cohererel(evaluate(nucl(?Ent),satel(Ent1)))]),
s(optional(bel(r,evidence(nucl(relatar(Ent3)),satel(?NEnt2)))))
).

%%%%%%%%%%%%%
%           %
% ACREDITAR %
%           %
%%%%%%%%%%%%%

op(
id(33),
name(acreditar-relacao),
header(bel(r,elaborate(Ent,Ent1))),
effect(bel(r,elaborate(Ent,Ent1))),
constraints([not(list(Ent)),not(list(Ent1)),know(r,Ent),not(know(r,Ent1)),not(bel(r,elaborate(Ent,Ent1))),definBC(Ent,Clas1),in(Clas1,[res,sol]),definBC(Ent1,Clas2),in(Clas2,[met]),dom(Ent,Ent1)]),
n([relatar(Ent1),cohererel(elaborate(nucl(Ent),satel(relatar(Ent1))))]),
s(nil)
).

op(
id(34),
name(acreditar-relacao),
header(bel(r,purpose1(Event,Purp))),
effect(bel(r,purpose1(Event,Purp))),
constraints([not(list(Event)),not(list(Purp)),know(r,Event),not(know(r,Purp)),definBC(Event,Clas1),in(Clas1,[met]),definBC(Purp,Clas2),in(Clas2,[res,sol]),isa(Purp,Event,enable),sp(Event,Purp),dom(Purp,Event)]),
n([descrever(Purp),cohererel(purpose1(nucl(Event),satel(descrever(Purp))))]),
s(nil)
).

op(
id(35),
name(acreditar-relacao),
header(bel(r,evaluate(Ent,Eval))),
effect(bel(r,evaluate(Ent,Eval))),
constraints([not(list(Ent)),not(list(Eval)),know(r,Ent),not(know(r,Eval)),not(bel(r,evaluate(Ent,Eval))),definBC(Ent,Clas1),in(Clas1,[met,res,sol]),definBC(Eval,Clas2),in(Clas2,[evalMet,evalres,evalSol]),isa(Eval,Ent,evalsem),dom(Ent,Eval)]),
n([relatar(Eval),cohererel(evaluate(nucl(Ent),satel(relatar(Eval))))]),
s(nil)
).

op(
id(36),
name(acreditar-relacao),
header(bel(r,contrast(Event,Contr))),
effect(bel(r,contrast(Event,Contr))),
constraints([not(list(Event)),not(list(Contr)),know(r,Event),not(know(r,Contr)),isa(Contr,Event,listsem),symm(Event,Contr)]),
n([descrever(Contr),cohererel(contrast(nucl(Event),satel(descrever(Contr))))]),
s(nil)
).

op(
id(37),
name(acreditar-lista),
header(bel(r,contrast(Event,Contr))),
effect(bel(r,contrast(Event,Contr))),
constraints([list(Event),list(Contr),not(bel(r,contrast(Event,Contr))),symm(Event,Contr)]),
n([discutir(Contr),cohererel(contrast(nucl(Event),satel(discutir(Contr))))]),
s(nil)
).

op(
id(38),
name(acreditar-lista),
header(bel(r,evidence(Ent,Ent1))),
effect(bel(r,evidence(Ent,Ent1))),
constraints([not(list(Ent)),list(Ent1),know(r,Ent),not(bel(r,evidence(Ent,Ent1))),definBC(Ent,Clas),in(Clas,[evalsol]),definBC(Ent1,Clas1),in(Clas1,[sol]),sp(Ent1,Ent),dom(Ent,Ent1),sup(Ent1,Ent)]),
n([relatar(Ent1),cohererel(evidence(nucl(?Ent),satel(relatar(Ent1))))]),
s(nil)
).

op(
id(39),
name(acreditar-relacao),
header(bel(r,means(Ent,Ent1))),
effect(bel(r,means(Ent,Ent1))),
constraints([not(list(Ent)),not(list(Ent1)),not(bel(r,means(Ent,Ent1))),isa(Ent,Ent1,enable),sp(Ent,Ent1),dom(Ent1,Ent)]),
n([relatar(Ent1),cohererel(means(nucl(Ent),satel(relatar(Ent1))))]),
s(nil)
).

%%%%%%%%%%%%%
%           %
% HABILITAR %
%           %
%%%%%%%%%%%%%

op(
id(40),
name(habilitar-lista),
header(competent(r,comprehend(r,background(Ent,Back)))),
effect(competent(r,comprehend(r,background(Ent,Back)))),
constraints([not(list(Ent)),list(Back),know(r,Ent),not(know(r,Back)),multisa(Cause,Results,cause),in(Ent,Results),not(sp(Ent,Back)),sup(Back,Ent)]),
n([relatar(Back),cohererel(background(nucl(Ent),satel(relatar(Back))))]),
s(nil)
).

op(
id(41),
name(habilitar-lista),
header(competent(r,comprehend(r,background(Ent,Back)))),
effect(competent(r,comprehend(r,background(Ent,Back)))),
constraints([list(Ent),list(Back),know(r,Ent),not(know(r,Back)),multisa(Back1,Results,cause),in(Back,Back1),in(Ent,Results),not(sp(Ent,Back)),sup(Back,Ent)]),
n([descrever(Back),cohererel(background(nucl(Ent),satel(descrever(Back))))]),
s(nil)
).

op(
id(42),
name(habilitar-lista),
header(competent(r,comprehend(r,background(Ent,Back)))),
effect(competent(r,comprehend(r,background(Ent,Back)))),
constraints([list(Ent),not(list(Back)),not(know(r,background(Ent,Back))),multisa(E1,E2,backsem),in(Back,[E1]),in(Ent,E2),not(sp(Ent,Back)),sup(Back,Ent)]),
n([descrever(Back),cohererel(background(nucl(Ent),satel(descrever(Back))))]),
s(nil)
).

%%%%%%%%%%%%%
%           %
% PERSUADIR %
%           %
%%%%%%%%%%%%%

op(
id(43),
name(persuadir-lista),
header(persuade(r,justify2(Concept,Ent))),
effect(persuade(r,justify2(Concept,Ent))),
constraints([not(list(Concept)),list(Ent),know(r,Concept),not(know(r,Ent)),not(persuade(r,justify2(Concept,Ent))),definBC(Concept,C1),in(C1,[probl,newprobl]),definBC(Ent,C2),in(C2,[met,evalres,prop,res]),sp(Ent,Concept),dom(Concept,Ent),sup(Ent,Concept)]),
n([relatar(Ent),cohererel(justify2(nucl(Concept),satel(relatar(Ent))))]),
s(nil)
).

op(
id(44),
name(persuadir-por-evaluate),
header(persuade(r,evaluate(Concept,Ent))),
effect(persuade(r,evaluate(Concept,Ent))),
constraints([not(list(Concept)),not(list(Ent)),not(persuade(r,justify2(Concept,Ent))),definBC(Concept,C1),in(C1,[res,sol]),definBC(Ent,C2),in(C2,[evalres]),isa(Concept,Ent,evalsem),dom(Concept,Ent)]),
n([discutir(Ent),cohererel(evaluate(nucl(Concept),satel(discutir(Ent))))]),
s(nil)
).
