% PREDICADO RESPONSVEL POR GERAR UM ARQUIVO COM O TEXTO FONTE

textof(Arquivo) :- consult(Arquivo),
		   findall(P,par(_,P),Lista),
	           fopen(ID,'textofonte.sum',w),
	           gerar_arquivo(Lista,ID),
	           fclose(ID).


gerar_arquivo([],_) :- !.

gerar_arquivo(['0'|Cauda],ID) :- gerar_arquivo(Cauda,ID).

gerar_arquivo([Cab|Cauda],ID) :- write(ID,Cab), write(ID,'. '), nl(ID),
				 gerar_arquivo(Cauda,ID).